port: 7890
socks-port: 7891
allow-lan: false
mode: Rule
log-level: info
external-controller: :9090
rule-providers:
  direct-rule-set:
    type: http
    path: ./ruleset/direct-rule-set.yml
    url: "https://dl.sunriseydy.dev/clash/direct-rule-set.yml"
    interval: 86400
    proxy: DIRECT
    behavior: classical
    format: yaml
    size-limit: 0
  game-rule-set:
    type: http
    path: ./ruleset/game-rule-set.yml
    url: "https://dl.sunriseydy.dev/clash/game-rule-set.yml"
    interval: 86400
    proxy: DIRECT
    behavior: classical
    format: yaml
    size-limit: 0
  japan-rule-set:
    type: http
    path: ./ruleset/japan-rule-set.yml
    url: "https://dl.sunriseydy.dev/clash/japan-rule-set.yml"
    interval: 86400
    proxy: DIRECT
    behavior: classical
    format: yaml
    size-limit: 0
  proxy-rule-set:
    type: http
    path: ./ruleset/proxy-rule-set.yml
    url: "https://dl.sunriseydy.dev/clash/proxy-rule-set.yml"
    interval: 86400
    proxy: DIRECT
    behavior: classical
    format: yaml
    size-limit: 0
hosts:
   '*.server.marong.moe': 100.118.175.67  